The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> copysign, copysignf, copysignl - number manipulation function

#### SYNOPSIS

> ``#include <math.h>
> double copysign(double` x`, double` y`);
> float copysignf(float` x`, float` y`);
> long double copysignl(long double` x`, long double` y`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> These functions shall produce a value with the magnitude of x and the sign of y. On implementations that represent a signed zero but do not treat negative zero consistently in arithmetic operations, these functions regard the sign of zero as positive.

#### RETURN VALUE

> Upon successful completion, these functions shall return a value with the magnitude of x and the sign of y.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> signbit

> XBD <math.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]